Subject: bug#30190: 27.0.50; term run in line mode shows user passwords

From: Stefan Monnier <[email-masked]>
Date: Fri, 22 Jun 2018 08:44:58 -0400

> * It will use the hook strategy until someone comes with something smarter.

Something smarter is to unconditionally call *-watch-for-password-prompt
right at the place where you added the "run-hook" (actually, only one
of the two places),

        Stefan